Tool: list_batches
List Dataproc batches in a Google Cloud project
The following sample demonstrate how to use curl to invoke the list_batches MCP tool.
| Curl Request |
|---|
curl --location 'https://dataproc.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_batches", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
A request to list batch workloads in a project.
ListBatchesRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. The parent, which owns this collection of batches. |
pageSize |
Optional. The maximum number of batches to return in each response. The service may return fewer than this value. The default page size is 20; the maximum page size is 1000. |
pageToken |
Optional. A page token received from a previous |
filter |
Optional. A filter for the batches to return in the response. A filter is a logical expression constraining the values of various fields in each batch resource. Filters are case sensitive, and may contain multiple clauses combined with logical operators (AND/OR). Supported fields are e.g. See https://google.aip.dev/assets/misc/ebnf-filtering.txt for a detailed description of the filter syntax and a list of supported comparisons. |
orderBy |
Optional. Field(s) on which to sort the list of batches. Currently the only supported sort orders are unspecified (empty) and See https://google.aip.dev/132#ordering for more details. |
Output Schema
The list of all batches in a project.
ListBatchesResponse
| JSON representation |
|---|
{
"batches": [
{
object ( |
| Fields | |
|---|---|
batches[] |
The batches in the project. |
nextPageToken |
This token is included in the response if there are more results to fetch. To fetch additional results, provide this value as the |
Batch
| JSON representation |
|---|
{
"batchName": string,
"batchUuid": string,
"createTime": string,
"state": enum ( |
| Fields | |
|---|---|
batchName |
The batch name. |
batchUuid |
A batch UUID (Unique Universal Identifier). Dataproc generates this value when it creates the batch. |
createTime |
The time when the batch was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
state |
Batch state. |
labels |
The labels to associate with this batch. Label keys must contain 1 to 63 characters, and must conform to RFC 1035. Label values may be empty, but, if present, must contain 1 to 63 characters, and must conform to RFC 1035. No more than 32 labels can be associated with a batch. An object containing a list of |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌